Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152963 - CAN-2005-1194 Buffer overflow in the ieee_putascii() function
Summary: CAN-2005-1194 Buffer overflow in the ieee_putascii() function
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nasm
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Richard Henderson
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,public=20050331,source=red...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-31 14:20 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 07:34:20 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-03-31 14:20:08 UTC
+++ This bug was initially created as a clone of Bug #152962 +++

There is a very obvious buffer overflow in ieee_putascii()

(code truncated)

static void ieee_putascii(char *format, ...)
    char buffer[256];
    vsprintf(buffer, format, ap);

At the very least it should be using a vsnprintf.

Comment 1 Josh Bressers 2005-03-31 14:20:41 UTC
This issue should also affect FC2

Comment 2 Jindrich Novy 2005-04-15 13:04:22 UTC
Applied and built in FC3. Patch added to the fedora-legacy bug for this and
CAN-2004-1287 issue.


Note You need to log in before you can comment on or make changes to this bug.